<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [CompanyWorkTask](./bitburner.companyworktask.md)

## CompanyWorkTask interface

Company Work

**Signature:**

```typescript
export interface CompanyWorkTask extends BaseTask 
```
**Extends:** [BaseTask](./bitburner.basetask.md)

## Remarks

An object representing the current work for a company

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [companyName](./bitburner.companyworktask.companyname.md) |  | [CompanyName](./bitburner.companyname.md) |  |
|  [type](./bitburner.companyworktask.type.md) |  | "COMPANY" |  |

